package com.dsic.gj_erp.controller.jcsj;


import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.EmSbwxjh;
import com.dsic.gj_erp.bean.jcsj.Ydjhzz;
import com.dsic.gj_erp.bean.request.EmSbwxjhBean;
import com.dsic.gj_erp.mapper.jhgk.DmYdjhMapper;
import com.dsic.gj_erp.service.jcsj.EmSbwxjhService;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@RestController
@RequestMapping("/ydjhzz")
@Api(tags = "月度计划追踪")
public class YdjhzzController {
    @Autowired
    private DmYdjhMapper mapper;

    @ApiOperation(value = "查询")
    @PostMapping(value = "/getList")
    public ResultBean getList(@RequestParam String ch) {
        List<Ydjhzz> list=mapper.getYdjhzz(ch);
        return new ResultBean(list);
    }


}

